"Filed out from Dolphin Smalltalk/Version 2.1"!

Object subclass: #Cliente
	instanceVariableNames: 'dni nombre apellidos direccion telefono link'
	classVariableNames: ''
	poolDictionaries: ''!

Cliente class instanceVariableNames: ''!

Cliente comment: ''!

!Cliente categoriesForClass!No category! !

!Cliente methodsFor!

getApellidos
	^apellidos.!

getDireccion
	^direccion.!

getDNI
	^dni!

getNombre
	^nombre!

getTelefono
	^telefono!

"Constructor, debe ser llamado antes de utilizar el objeto"
"Cada cliente debe tener un DNI diferente"
ini:a nombre:b apellidos:c direccion:d telefono:e
	dni := a.
	nombre := b.
	apellidos := c.
	direccion := d.
	telefono := e.!

"Necesario para poder meter objetos cliente en LinkedLists"
nextLink
	^link!

"Necesario para poder meter objetos cliente en LinkedLists"
nextLink:a
	link := a.!

setApellidos: a
	apellidos := a.!

setDireccion: a
	direccion := a.!

setDNI:a
	dni := a.!

setNombre: a
	nombre := a.!

setTelefono: a
	telefono:=a.! !

!Cliente categoriesFor: #getApellidos!no category! !
!Cliente categoriesFor: #getDireccion!no category! !
!Cliente categoriesFor: #getDNI!no category! !
!Cliente categoriesFor: #getNombre!no category! !
!Cliente categoriesFor: #getTelefono!no category! !
!Cliente categoriesFor: #ini:nombre:apellidos:direccion:telefono:!no category! !
!Cliente categoriesFor: #nextLink!no category! !
!Cliente categoriesFor: #nextLink:!no category! !
!Cliente categoriesFor: #setApellidos:!no category! !
!Cliente categoriesFor: #setDireccion:!no category! !
!Cliente categoriesFor: #setDNI:!no category! !
!Cliente categoriesFor: #setNombre:!no category! !
!Cliente categoriesFor: #setTelefono:!no category! !

