"Filed out from Dolphin Smalltalk/Version 2.1"!

Object subclass: #Cuenta
	instanceVariableNames: 'id saldo interes comision titular link'
	classVariableNames: ''
	poolDictionaries: ''!

Cuenta class instanceVariableNames: ''!

Cuenta comment: ''!

!Cuenta categoriesForClass!No category! !

!Cuenta methodsFor!

getComision
	^comision!

getID
	^id.!

getSaldo
	^saldo!

getTitular
	^titular.!

ingresar:a
	saldo:=saldo+a!

"Constructor, se ha de llamar antes de utilizar el objeto"
"Cada cuenta debe tener un ID diferente"
ini:a titular:b saldo:c
	id := a.
	titular := b.
	saldo := c.
	comision := 100.!

"Necesario para poder meter objetos cliente en LinkedLists"
nextLink
	^link!

"Necesario para poder meter objetos cliente en LinkedLists"
nextLink:a
	link := a.!

"Metodo abstracto"
retirar!

revision
	saldo:= saldo+  (saldo*interes) - comision.!

setComision:a
	comision := a.!

setID:a
	id := a.!

setTitular:a
	titular := a.! !

!Cuenta categoriesFor: #getComision!no category! !
!Cuenta categoriesFor: #getID!no category! !
!Cuenta categoriesFor: #getSaldo!no category! !
!Cuenta categoriesFor: #getTitular!no category! !
!Cuenta categoriesFor: #ingresar:!no category! !
!Cuenta categoriesFor: #ini:titular:saldo:!no category! !
!Cuenta categoriesFor: #nextLink!no category! !
!Cuenta categoriesFor: #nextLink:!no category! !
!Cuenta categoriesFor: #retirar!no category! !
!Cuenta categoriesFor: #revision!no category! !
!Cuenta categoriesFor: #setComision:!no category! !
!Cuenta categoriesFor: #setID:!no category! !
!Cuenta categoriesFor: #setTitular:!no category! !

